%global debug_package %{nil}

Name:           nunit
Version:        3.7.1
Release:        %mkrel 6
Summary:        Unit test framework for CLI
License:        MIT with advertising
Group:          Development/C#
Url:            http://www.nunit.org/
Source0:        https://github.com/nunit/nunitv2/archive/%{name}-%{version}.tar.gz
Source1:        nunit.pc
Source2:        nunitlite-runner.sh
BuildRequires:  mono-devel
ExclusiveArch:  %{mono_arches}
Provides:       mono-nunit = 4.0.2-5
Obsoletes:      mono-nunit < 4.0.2-6
Obsoletes:      nunit-runner <= 2.6.4-10

%description
NUnit is a unit testing framework for all .NET languages. It serves the
same purpose as JUnit does in the Java world. It supports test
categories, testing for exceptions and writing test results in plain
text or XML.

NUnit targets the CLI (Common Language Infrastructure) and supports Mono and
the Microsoft .NET Framework.

%package        devel
Summary:        Development files for NUnit
Group:          Development/C#
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Provides:       mono-nunit-devel = 4.0.2-5
Obsoletes:      mono-nunit-devel < 4.0.2-6

%description devel
Development files for %{name}.

%prep
%setup -q

%build

# Remove prebuilt binaries
find . -name "*.dll" -print -delete

%{?exp_env}
%{?env_options}

xbuild /property:Configuration=Release src/NUnitFramework/framework/nunit.framework-4.5.csproj
xbuild /property:Configuration=Release src/NUnitFramework/nunitlite/nunitlite-4.5.csproj
xbuild /property:Configuration=Release src/NUnitFramework/nunitlite-runner/nunitlite-runner-4.5.csproj
xbuild /property:Configuration=Release src/NUnitFramework/mock-assembly/mock-assembly-4.5.csproj

xbuild /property:Configuration=Release src/NUnitFramework/slow-tests/slow-nunit-tests-4.5.csproj
xbuild /property:Configuration=Release src/NUnitFramework/testdata/nunit.testdata-4.5.csproj
xbuild /property:Configuration=Release src/NUnitFramework/tests/nunit.framework.tests-4.5.csproj
xbuild /property:Configuration=Release src/NUnitFramework/nunitlite.tests/nunitlite.tests-4.5.csproj

%install
%{?env_options}
%{__mkdir_p} %{buildroot}%{_monodir}/nunit
%{__mkdir_p} %{buildroot}%{_libdir}/pkgconfig
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__mkdir_p} %{buildroot}%{_datadir}/icons/NUnit
%{__install} -m0644 %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig/
%{__install} -m0755 %{SOURCE2} %{buildroot}%{_bindir}/nunitlite-runner
%{__install} -m0644 src/NUnitFramework/nunitlite-runner/App.config %{buildroot}%{_monodir}/nunit/nunitlite-runner.exe.config
find %{_builddir}/%{?buildsubdir}/bin -name \*.dll -exec %{__install} \-m0755 "{}" "%{buildroot}%{_monodir}/nunit/" \;
find %{_builddir}/%{?buildsubdir}/bin -name \*.exe -exec %{__install} \-m0755 "{}" "%{buildroot}%{_monodir}/nunit/" \;
for i in nunit.framework.dll nunit.framework.tests.dll nunitlite.dll nunit.testdata.dll; do
    gacutil -i %{buildroot}%{_monodir}/nunit/$i -package nunit -root %{buildroot}%{_monodir}/../
done

%files
%license LICENSE.txt
%{_bindir}/nunitlite-runner
%{_monogacdir}/nunit*
%{_monodir}/nunit/

%files devel
%{_libdir}/pkgconfig/nunit.pc


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 3.7.1-6.mga9
+ Revision: 1838500
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 3.7.1-5.mga8
+ Revision: 1629220
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 3.7.1-4.mga8
+ Revision: 1629053
- rebuild for new mono
- use %%license

* Sun Feb 16 2020 umeabot <umeabot> 3.7.1-3.mga8
+ Revision: 1532205
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 guillomovitch <guillomovitch> 3.7.1-2.mga8
+ Revision: 1442144
- better group

* Sun Sep 15 2019 guillomovitch <guillomovitch> 3.7.1-1.mga8
+ Revision: 1441153
- new version 3.7.1

* Sun Sep 23 2018 umeabot <umeabot> 2.6.4-6.mga7
+ Revision: 1299815
- Mageia 7 Mass Rebuild

* Sat Apr 09 2016 umeabot <umeabot> 2.6.4-5.mga6
+ Revision: 999830
- Mageia 6 Mass Rebuild

* Fri Dec 04 2015 tv <tv> 2.6.4-4.mga6
+ Revision: 908008
- revert
- fix devel package
- fix exclusiveArches
- bump rel for stuck BS
- imported package nunit


* Thu Dec 03 2015 Thierry Vignaud <tv@mageia.org> 2.6.4-1.mga6
- import from FC
